- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# tower_workflow_template – create, update, or destroy Ansible Tower workflow template

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, update, or destroy Ansible Tower workflows. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
allow_simultaneous boolean | Choices: no yes | If enabled, simultaneous runs of this job template will be allowed.
ask_extra_vars boolean added in 2.9 | Choices: no yes | Prompt user for (extra_vars) on launch.
ask_inventory boolean added in 2.9 | Choices: no yes | Prompt user for inventory on launch.
description - |  | The description to use for the workflow.
extra_vars - |  | Extra variables used by Ansible in YAML or key=value format.
inventory - added in 2.9 |  | Name of the inventory to use for the job template.
name - / required |  | The name to use for the workflow.
organization - |  | The organization the workflow is linked to.
schema - |  | The schema is a JSON- or YAML-formatted string defining the hierarchy structure that connects the nodes. Refer to Tower documentation for more information.
state - | Choices: present ← absent | Desired state of the resource.
survey - |  | The definition of the survey associated to the workflow.
survey_enabled boolean | Choices: no yes | Setting that variable will prompt the user for job type on the workflow launch.
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.
validate_certs boolean | Choices: no yes | Whether to allow insecure connections to Tower. If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. aliases: tower_verify_ssl

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - tower_workflow_template:
        name: Workflow Template
        description: My very first Workflow Template
        organization: My optional Organization
        schema: "{{ lookup('file', 'my_workflow.json') }}"

    - tower_worflow_template:
        name: Workflow Template
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adrien Fleury (@fleu42)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.